<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.ehs.mapper.TFireextinguisherMapper">
    
    <resultMap type="TFireextinguisher" id="TFireextinguisherResult">
        <result property="id"    column="id"    />
        <result property="plantCode"    column="plant_code"    />
        <result property="location"    column="location"    />
        <result property="name"    column="name"    />
        <result property="numb"    column="numb"    />
        <result property="quantity"    column="quantity"    />
        <result property="owner"    column="owner"    />
        <result property="inspector"    column="inspector"    />
        <result property="upinspectdate"    column="upinspectdate"    />
        <result property="dninspectdate"    column="dninspectdate"    />
        <result property="inspectstatus"    column="inspectstatus"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createrCode"    column="creater_code"    />
        <result property="createdate"    column="createdate"    />
        <result property="updaterCode"    column="updater_code"    />
        <result property="updatedate"    column="updatedate"    />
        <result property="deptId"    column="dept_id"    />
        <result property="remarks"    column="remarks"    />
        <result property="deptName" column="dept_name" />
    </resultMap>

    <sql id="selectTFireextinguisherVo">
        select d.id, d.plant_code, d.location, d.name, d.numb, d.quantity, d.owner, d.inspector, d.upinspectdate, d.dninspectdate, d.inspectstatus, d.del_flag, d.creater_code, d.createdate, d.updater_code, d.updatedate, d.dept_id, d.remarks ,s.dept_name from t_fireextinguisher d
      left join sys_dept s on s.dept_id = d.dept_id
    </sql>

    <select id="selectTFireextinguisherList" parameterType="TFireextinguisher" resultMap="TFireextinguisherResult">
        <include refid="selectTFireextinguisherVo"/>
        <where>
            <if test="location != null  and location != ''"> and location like concat(concat('%', #{location}), '%')</if>
            <if test="name != null  and name != ''"> and name like concat(concat('%', #{name}), '%')</if>
            <if test="upinspectdate != null "> and upinspectdate = #{upinspectdate}</if>
            <if test="dninspectdate != null "> and dninspectdate = #{dninspectdate}</if>
            <if test="inspectstatus != null  and inspectstatus != ''"> and inspectstatus = #{inspectstatus}</if>
            and d.del_flag = 0
        </where>
        <!-- 数据范围过滤 -->
        ${params.dataScope}
        order by d.id desc
    </select>

    <select id="selectList" parameterType="TFireextinguisher" resultMap="TFireextinguisherResult">
        <include refid="selectTFireextinguisherVo"/>
        <where>
            and d.del_flag = 0
        </where>
        <!-- 数据范围过滤 -->
        ${params.dataScope}
    </select>
    
    <select id="selectTFireextinguisherById" parameterType="Long" resultMap="TFireextinguisherResult">
        <include refid="selectTFireextinguisherVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTFireextinguisher" parameterType="TFireextinguisher">
        <selectKey keyProperty="id" resultType="long" order="BEFORE">
            SELECT seq_t_fireextinguisher.NEXTVAL as id FROM DUAL
        </selectKey>
        insert into t_fireextinguisher
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="plantCode != null and plantCode != ''">plant_code,</if>
            <if test="location != null">location,</if>
            <if test="name != null">name,</if>
            <if test="numb != null">numb,</if>
            <if test="quantity != null">quantity,</if>
            <if test="owner != null">owner,</if>
            <if test="inspector != null">inspector,</if>
            <if test="upinspectdate != null">upinspectdate,</if>
            <if test="dninspectdate != null">dninspectdate,</if>
            <if test="inspectstatus != null">inspectstatus,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createrCode != null">creater_code,</if>
            <if test="createdate != null">createdate,</if>
            <if test="updaterCode != null">updater_code,</if>
            <if test="updatedate != null">updatedate,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="remarks != null">remarks,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="plantCode != null and plantCode != ''">#{plantCode},</if>
            <if test="location != null">#{location},</if>
            <if test="name != null">#{name},</if>
            <if test="numb != null">#{numb},</if>
            <if test="quantity != null">#{quantity},</if>
            <if test="owner != null">#{owner},</if>
            <if test="inspector != null">#{inspector},</if>
            <if test="upinspectdate != null">#{upinspectdate},</if>
            <if test="dninspectdate != null">#{dninspectdate},</if>
            <if test="inspectstatus != null">#{inspectstatus},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createrCode != null">#{createrCode},</if>
            <if test="createdate != null">#{createdate},</if>
            <if test="updaterCode != null">#{updaterCode},</if>
            <if test="updatedate != null">#{updatedate},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="remarks != null">#{remarks},</if>
         </trim>
    </insert>

    <update id="updateTFireextinguisher" parameterType="TFireextinguisher">
        update t_fireextinguisher
        <trim prefix="SET" suffixOverrides=",">
            <if test="plantCode != null and plantCode != ''">plant_code = #{plantCode},</if>
            <if test="location != null">location = #{location},</if>
            <if test="name != null">name = #{name},</if>
            <if test="numb != null">numb = #{numb},</if>
            <if test="quantity != null">quantity = #{quantity},</if>
            <if test="owner != null">owner = #{owner},</if>
            <if test="inspector != null">inspector = #{inspector},</if>
            <if test="upinspectdate != null">upinspectdate = #{upinspectdate},</if>
            <if test="dninspectdate != null">dninspectdate = #{dninspectdate},</if>
            <if test="inspectstatus != null">inspectstatus = #{inspectstatus},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createrCode != null">creater_code = #{createrCode},</if>
            <if test="createdate != null">createdate = #{createdate},</if>
            <if test="updaterCode != null">updater_code = #{updaterCode},</if>
            <if test="updatedate != null">updatedate = #{updatedate},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="remarks != null">remarks = #{remarks},</if>
        </trim>
        where id = #{id}
    </update>

    <update id="deleteTFireextinguisherById" parameterType="Long">
        update t_fireextinguisher set del_flag = 2 where id = #{id}
    </update>

    <update id="deleteTFireextinguisherByIds" parameterType="String">
        update t_fireextinguisher set del_flag = 2 where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </update>
    
</mapper>